## sunflow 0.07.2.dfsg

=== exporters/maya/SConstruct ===
import os, sys

if sys.platform == 'linux2' or sys.platform == 'linux-i386':
	## do linux build

	main_70_obj = SharedObject('main_70', 'main.cpp', CPPPATH = ["/usr/aw/maya7.0/include/"], CPPDEFINES=Split('LINUX _BOOL'))
	main_80_obj = SharedObject('main_80', 'main.cpp', CPPPATH = ["/usr/aw/maya8.0/include/"], CPPDEFINES=Split('LINUX _BOOL'))
	
	SharedLibrary('sunflow_70', main_70_obj, LIBS = Split("Foundation OpenMaya"), LIBPATH = ["/usr/aw/maya7.0/lib/"])
	SharedLibrary('sunflow_80', main_80_obj, LIBS = Split("Foundation OpenMaya"), LIBPATH = ["/usr/aw/maya8.0/lib/"])
else:
	# Compiler system environment paths.
	sdk_base="C:\Program Files\Microsoft Platform SDK for Windows Server 2003 R2\\"
	
	c_path ="%s\\Bin\\win64\\x86\\AMD64;"  % (sdk_base)
	c_incl ="%s\\Include;%s\\INCLUDE\\crt" % (sdk_base, sdk_base)
	c_lib  ="%s\\Lib\\AMD64;"              % (sdk_base)
	
	# Common compiler switches for debug, release and profile environments:
	# /nologo   No version and name banner.
	# /W3       Warning level.
	# /WX       Treat warnings as errors.
	# /GR       Enable RTTI.
	# /EHsc     Enable exception handling.
	# /MT       Use multi-threaded run-time libraries (statically linked into the exe). Defines _MT.
	# /O2       Fastest possible code.
	# /Ox       Maximum optimizations
	common_CXXFLAGS = '/nologo /W3 /WX /GR /EHsc /MT /O2 /Ox'
	
	# Common link switches for both debug and release builds:
	common_LINKFLAGS = '/nologo /incremental:no /MACHINE:AMD64'
	
	# Compiler switches for release builds:
	envRelease = Environment(CCFLAGS    = common_CXXFLAGS,
	                         CPPDEFINES = Split('_CRT_SECURE_NO_DEPRECATE _CRT_NONSTDC_NO_DEPRECATE'),
	                         LINKFLAGS  = common_LINKFLAGS)
	
	envRelease['ENV']['PATH'] = c_path
	envRelease['ENV']['INCLUDE'] = c_incl
	envRelease['ENV']['LIB'] = c_lib
	
	main_80_obj = envRelease.SharedObject('main_70', 'main.cpp', CPPPATH = ["C:\\Program Files\\Alias\\Maya8.0\\include"]   , CPPDEFINES=Split('NDEBUG WIN32 _WINDOWS NT_PLUGIN REQUIRE_IOSTREAM Bits64_'))
	main_85_obj = envRelease.SharedObject('main_80', 'main.cpp', CPPPATH = ["C:\\Program Files\\Autodesk\\Maya8.5\\include"], CPPDEFINES=Split('NDEBUG WIN32 _WINDOWS NT_PLUGIN REQUIRE_IOSTREAM Bits64_'))

	envRelease.SharedLibrary('sunflow_80',
	                         main_80_obj,
	                         SHLIBSUFFIX='.mll',
	                         LIBS=Split("Foundation OpenMaya bufferoverflowU"),
	                         LIBPATH=["C:\\Program Files\\Alias\\Maya8.0\\lib"],
	                         LINKFLAGS=Split('/export:initializePlugin /export:uninitializePlugin'))
	envRelease.SharedLibrary('sunflow_85',
	                         main_85_obj,
	                         SHLIBSUFFIX='.mll',
	                         LIBS=Split("Foundation OpenMaya bufferoverflowU"),
	                         LIBPATH=["C:\\Program Files\\Autodesk\\Maya8.5\\lib"],
	                         LINKFLAGS=Split('/export:initializePlugin /export:uninitializePlugin'))

## sunflow 0.07.2.svn396%2Bdfsg

=== debian/changelog ===
sunflow (0.07.2.svn396+dfsg-18) unstable; urgency=medium

  * Build-Depend on python3-all (Closes: #938599)
  * Drop get-orig-source target from debian/rules
  * Remove variables related to get-orig-source in debian/rules
  * Drop build-dep on cdbs and use dh sequencer
  * Update doc-base to for /usr/share/doc/libsunflow-java
  * Use debhelper 12
  * Bump Standards-Version to 4.4.0
  * Convert Blender3D sunflow_export.py from Python 2 -> 3

 -- tony mancill <tmancill@debian.org>  Tue, 03 Sep 2019 09:25:01 -0700

sunflow (0.07.2.svn396+dfsg-17) unstable; urgency=medium

  * Team upload.
  * debian/control: Use priority optional.
  * wrap-and-sort -sa.
  * Declare compliance with Debian Policy 4.1.4.
  * Use canonical VCS address.
  * sunflow: Depend on alternative java8-runtime as well.
  * Drop B-D on libmagickcore-6.q16-2-extra.
  * Use https for Format field.
  * sunflow.desktop: Add a comment in German.
  * Don't convert svg icon into xpm or png format. Install the svg icon
    into hicolor icon directory and use that as our preferred desktop icon.
    (Closes: #897533)

 -- Markus Koschany <apo@debian.org>  Tue, 03 Jul 2018 17:01:58 +0200

sunflow (0.07.2.svn396+dfsg-16) unstable; urgency=medium

  * Upload to unstable.
  * Bump Standards-Version to 4.0.0

 -- tony mancill <tmancill@debian.org>  Thu, 22 Jun 2017 21:04:34 -0700

sunflow (0.07.2.svn396+dfsg-15) experimental; urgency=medium

  * Remove Gabriele Giacone <1o5g4r8o@gmail.com> from Uploaders
    (Closes: #856768)
  * Use debhelper 10 and set debian/compat accordingly.
  * Bump Standards-Version to 3.9.8
  * Add build-dep on dh-python
  * Address lintian warning in debian/copyright.
  * Remove debian/menu as per #741573.

 -- tony mancill <tmancill@debian.org>  Sun, 19 Mar 2017 11:26:40 -0700

sunflow (0.07.2.svn396+dfsg-14) unstable; urgency=medium

  * Team upload.
  * Patch debian/rules to make the build reproducible. (Closes: #778702)
    - Thanks to Reiner Herrmann for the bug report and patch.
  * Bump Standards-Version to 3.9.6 (no changes).
  * Clean up debian/copyright.

 -- tony mancill <tmancill@debian.org>  Thu, 19 Feb 2015 22:55:59 -0800

sunflow (0.07.2.svn396+dfsg-13) unstable; urgency=medium

  * Team upload.
  * Build depend on libmagickcore-6.q16-2-extra instead of libmagickcore-extra
    (Closes: #761550)
  * Switch to debhelper level 9

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 15 Sep 2014 23:06:41 +0200

sunflow (0.07.2.svn396+dfsg-12) unstable; urgency=medium

  * Move from collab-maint to pkg-java, "public" package.
  * Bump Standards Version to 3.9.5 (no changes).

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Sun, 03 Aug 2014 01:58:03 +0200

sunflow (0.07.2.svn396+dfsg-11) unstable; urgency=medium

  * Refresh 30_sweethome3d patch according to sweethome3d 4.4 (all changes).

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Wed, 09 Jul 2014 14:41:38 +0200

sunflow (0.07.2.svn396+dfsg-10) unstable; urgency=low

  * Refresh 30_sweethome3d patch according to sweethome3d 4.1 (all changes).
  * Bump Standards Version to 3.9.4 (no changes).
  * Canonical URI in VCS-* fields.
  * Remove DMUA flag.
  * Fix d/copyright according to format 1.0.
  * Switch to dh_python2.

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Mon, 26 Aug 2013 11:16:44 +0200

sunflow (0.07.2.svn396+dfsg-9) unstable; urgency=low

  * Replace libmagickcore3-extra with libmagickcore-extra (Closes: #628851).
  * Bump Standards Version to 3.9.2 (no changes).
  * Update 30_sweethome3d patch according to sweethome3d 3.3.

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Thu, 04 Aug 2011 00:52:34 +0200

sunflow (0.07.2.svn396+dfsg-8) unstable; urgency=low

  * Update 30_sweethome3d patch according to sweethome3d 3.1.

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Sun, 20 Mar 2011 16:04:52 +0100

sunflow (0.07.2.svn396+dfsg-7) unstable; urgency=low

  * Update 30_sweethome3d patch according to sweethome3d 3.0.
    Main changes from original:
    + Added transparency management
    + Added bitmap transparency support
    + Made texture cache local to a SunFlow API instance
    + Replaced task management with interruptions

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Thu, 30 Dec 2010 05:16:45 +0100

sunflow (0.07.2.svn396+dfsg-6) unstable; urgency=low

  * Standards version to 3.9.1.
  * Fixed upgrade from lenny (Closes: #601995).

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Mon, 01 Nov 2010 03:37:35 +0100

sunflow (0.07.2.svn396+dfsg-5) unstable; urgency=low

  * Added 30_sweethome3d patch to apply some changes for sweethome3d.

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Sat, 26 Jun 2010 19:10:33 +0200

sunflow (0.07.2.svn396+dfsg-4) unstable; urgency=low

  * Fixed upgrade process from -2: sunflow replaces libsunflow-java and
    libsunflow-java replaces sunflow (Closes: #581921).

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Mon, 17 May 2010 21:28:38 +0200

sunflow (0.07.2.svn396+dfsg-3) unstable; urgency=low

  * Swap between sunflow and libsunflow-java.

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Sun, 16 May 2010 20:41:09 +0200

sunflow (0.07.2.svn396+dfsg-2) unstable; urgency=low

  * sunflow binary splits among sunflow, libsunflow-java, libsunflow-java-doc.
  * Back to imagemagick for image conversion.
  * Added watchfile.
  * Added get-orig-source target.
  * Removed d/README.Debian.

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Sun, 02 May 2010 20:33:03 +0200

sunflow (0.07.2.svn396+dfsg-1) unstable; urgency=low

  * Latest SVN snapshot (Closes: #557230)
  * Source format 3.0 (quilt)
    - Removed quilt from Build-Depends
    - Updated d/rules accordingly
  * Replaced imagemagick with librsvg2-bin to convert svg
  * Added README.source
    - janino.jar removed from upstream tarball
  * d/compat to 7
  * d/copyright in DEP-5 format
  * d/control:
    - Section: from graphics to java
    - Depends: J(DK|RE)s replaced with default-j(dk|re)
    - Standards-Version: from 3.8.0 to 3.8.4
  * d/rules:
    - Removed get-orig-source target
  * d/patches:
    - DEP-3 format


## sunflow 0.07.2.svn396+dfsg

=== maya/sunflowExporter/SConstruct ===
import os, sys, glob

def compile_maya(env, maya_base, version):
	global source_files
	local_env = env.Copy()
	obj_list = []
	local_env.Append(CPPPATH = [ os.path.join(maya_base, 'include') ])
	for s in source_files:
		obj_file = s.replace('.cpp', '_%s' % (version)).replace('src', 'build')
		obj_list += [ local_env.SharedObject(obj_file, s) ]
	local_env.Append(LIBPATH = [ os.path.join(maya_base, 'lib') ])
	dll = local_env.SharedLibrary(os.path.join('build', 'sunflow_%s' % (version)), obj_list)
	if len(dll) > 1:
		## on windows, more than one file is created when shared libraries are built
		local_env.InstallAs(os.path.join('plugin', version, 'sunflowExport.mll'), dll[0])
	else:
		## on *nix just one file is created
		local_env.InstallAs(os.path.join('plugin', version, 'sunflowExport.so'), dll)


## find source code automatically
source_files = []
for f in glob.glob('src/*.cpp'):
	source_files += [ f ]


if sys.platform == 'win32':
	## windows XP x64
	sdk_base = "C:\\Program Files\\Microsoft Platform SDK for Windows Server 2003 R2\\"
	env64 = Environment(
		CCFLAGS    = Split('/nologo /W3 /GR /EHsc /MT /O2 /Ox'),
		CPPDEFINES = Split('_CRT_SECURE_NO_DEPRECATE _CRT_NONSTDC_NO_DEPRECATE NDEBUG WIN32 _WINDOWS NT_PLUGIN REQUIRE_IOSTREAM Bits64_'),
		LINKFLAGS  = Split('/nologo /incremental:no /MACHINE:AMD64 /export:initializePlugin /export:uninitializePlugin'),
		LIBS       = Split('Foundation OpenMaya OpenMayaUI opengl32 shell32 bufferoverflowU'))

	env64.Append(CPPPATH = [ "%s\\Include\\"      % (sdk_base) ])
	env64.Append(CPPPATH = [ "%s\\INCLUDE\\crt\\" % (sdk_base) ])
	env64.Append(LIBPATH = [ "%s\\Lib\\AMD64\\"   % (sdk_base) ])

	env64['ENV']['PATH']    = "%s\\Bin\\win64\\x86\\AMD64;"  % (sdk_base)
#	env64['ENV']['INCLUDE'] = "%s\\Include;%s\\INCLUDE\\crt" % (sdk_base, sdk_base)
#	env64['ENV']['LIB']     = "%s\\Lib\\AMD64;"              % (sdk_base)

	compile_maya(env64, "C:\\Program Files\\Autodesk\\Maya8.5\\"   , "85_x64")
	compile_maya(env64, "C:\\Program Files\\Alias\\Maya8.0\\"      , "80_x64")
elif sys.platform == 'linux2':
	env = Environment(
		CCFLAGS = Split('-g -O2 -Wno-deprecated -Wall'),
		CPPDEFINES = Split('LINUX _BOOL REQUIRE_IOSTREAM'),
		CPPINCLUDE= Split('/usr/X11R6/include/'),
		LIBS = Split('OpenMaya OpenMayaUI GL'),
		LIBPATH = Split('/usr/X11R6/lib/'))
	compile_maya(env, "/usr/aw/maya7.0/", "70")
	compile_maya(env, "/usr/aw/maya8.0/", "80")
	compile_maya(env, "/usr/autodesk/maya8.5/", "85")
else:
	print 'Unsupported platform: %s' % (sys.platform)

=== debian/control ===
Source: sunflow
Section: graphics
Priority: extra
Maintainer: Gabriele Giacone <1o5g4r8o@gmail.com>
Build-Depends: cdbs, debhelper (>= 7), ant, imagemagick, default-jdk,
 libmagickcore-extra
Build-Depends-Indep: janino, python-support
Standards-Version: 3.9.2
DM-Upload-Allowed: yes
Homepage: http://sunflow.sourceforge.net/
Vcs-Browser: http://git.debian.org/?p=collab-maint/sunflow.git
Vcs-Git: git://git.debian.org/git/collab-maint/sunflow.git

Package: sunflow
Architecture: all
Depends: default-jre, libsunflow-java, ${python:Depends}, ${misc:Depends}
Replaces: libsunflow-java (= 0.07.2.svn396+dfsg-2)
Description: rendering system for photo-realistic image synthesis (GUI)
 Sunflow is an open source rendering system for photo-realistic image
 synthesis. It is written in Java and built around a flexible ray
 tracing core and an extensible object-oriented design. It was created
 as a framework for experimenting with global illumination algorithms
 and new surface shading models.
 .
 This package contains the sunflow GUI.

Package: libsunflow-java
Architecture: all
Section: java
Depends: janino, ${misc:Depends}
Replaces: sunflow (<= 0.07.2.svn396+dfsg-2)
Description: rendering system for photo-realistic image synthesis
 Sunflow is an open source rendering system for photo-realistic image
 synthesis. It is written in Java and built around a flexible ray
 tracing core and an extensible object-oriented design. It was created
 as a framework for experimenting with global illumination algorithms
 and new surface shading models.

Package: libsunflow-java-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: libsunflow-java, sunflow
Description: rendering system for photo-realistic image synthesis (javadoc)
 Sunflow is an open source rendering system for photo-realistic image
 synthesis. It is written in Java and built around a flexible ray
 tracing core and an extensible object-oriented design. It was created
 as a framework for experimenting with global illumination algorithms
 and new surface shading models.
 .
 This is the API documentation for sunflow

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/ant.mk

NAME    := sunflow
VERSION := $(shell dpkg-parsechangelog| sed -n '/^Version/{s/Version: \(.*\)-[0-9]*$$/\1/;s/+dfsg//p}')
SVNREV  := $(shell echo $(VERSION)|sed -n 's/.*svn\([0-9]*\)/\1/p')
TMPDIR  := $(NAME)-$(VERSION)
TAR     := ../$(NAME)_$(VERSION)+dfsg.orig.tar.gz

JAVA_HOME := /usr/lib/jvm/default-java

DEB_JARS  := janino
DEB_ANT_BUILD_TARGET = jars javadoc

UPSTREAM_VERSION = $(shell echo $(DEB_UPSTREAM_VERSION) | sed -e 's/.dfsg$$//')

install/libsunflow-java::
	# If case to avoid build failure when resuming the build
	# at the install step
	if [ ! -f release/sunflow-$(UPSTREAM_VERSION).jar ] ; then \
		mv release/sunflow.jar release/sunflow-$(UPSTREAM_VERSION).jar ; \
	fi
	dh_install -plibsunflow-java release/sunflow-$(UPSTREAM_VERSION).jar usr/share/java
	dh_link -plibsunflow-java usr/share/java/sunflow-$(UPSTREAM_VERSION).jar \
		usr/share/java/sunflow.jar

install/sunflow::
	# If case to avoid build failure when resuming the build
	# at the install step
	if [ ! -f release/sunflowGUI-$(UPSTREAM_VERSION).jar ] ; then \
		mv release/sunflowGUI.jar release/sunflowGUI-$(UPSTREAM_VERSION).jar ; \
	fi
	dh_install -psunflow release/sunflowGUI-$(UPSTREAM_VERSION).jar usr/share/java
	dh_link -psunflow usr/share/java/sunflowGUI-$(UPSTREAM_VERSION).jar usr/share/java/sunflowGUI.jar

	# Executable (wrapper)
	install -d debian/sunflow/usr/bin
	install debian/sunflow.wrapper debian/sunflow/usr/bin/sunflow

	# Default configuration
	install -d debian/sunflow/etc
	install -m 644 debian/sunflow.conf debian/sunflow/etc/sunflowrc

	# Blender export script
	install -d debian/sunflow/usr/share/blender/scripts/sunflow
	install -m 644 exporters/blender/sunflow_export.py \
		debian/sunflow/usr/share/blender/scripts/sunflow

	# Desktop file and icons
	install -d debian/sunflow/usr/share/applications
	install -m 644 debian/sunflow.desktop \
		debian/sunflow/usr/share/applications
	install -d debian/sunflow/usr/share/pixmaps
	install -m 644 debian/sunflow.svg \
		debian/sunflow/usr/share/pixmaps
	install -m 644 debian/sunflow.png \
		debian/sunflow/usr/share/pixmaps
	install -m 644 debian/sunflow.xpm \
		debian/sunflow/usr/share/pixmaps

	# Not using python-distutils.mk, calling manually
	dh_pysupport /usr/share/blender/scripts/sunflow

install/libsunflow-java-doc::
	# Javadoc
	mv release/javadoc release/api
	dh_installdocs -plibsunflow-java-doc release/api

build/sunflow::
	pod2man --center='SUNFLOW DOCUMENTATION' \
		--release=$(UPSTREAM_VERSION) \
		debian/sunflow.pod -o debian/sunflow.1

	# Render icons
	convert -background "rgba(255,255,255,0)" -geometry 48x48 debian/sunflow.svg debian/sunflow.png
	convert -background "rgba(255,255,255,0)" -geometry 32x32 debian/sunflow.svg debian/sunflow.xpm

clean::
	rm -f debian/sunflow.1
	rm -f debian/sunflow.png debian/sunflow.xpm

get-orig-source:
	mkdir $(TMPDIR)
	-rm $(TAR)
	svn export --force -r $(SVNREV) https://$(NAME).svn.sourceforge.net/svnroot/$(NAME)/trunk $(TMPDIR)
	echo "The following files will not be included in Debian tarball:"
	cd $(TMPDIR) && find . \( -name '*.class' -o -name '*.jar' \) -print
	ZIP=--best tar --exclude-vcs --exclude *.jar --exclude *.class -zcf $(TAR) $(TMPDIR)
	rm -rf $(TMPDIR)
